
Redmine - Patch #11534

rake redmine:plugins:test:* could use "pattern" instead of "test_files"

2012-07-29 20:17 - Jean-Baptiste Barth

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Description

It's a lot less verbose so it's more readable when running plugin tests, and it's more similar to what's done in rails core.

So in lib/tasks/redmine.rake, we would replace: 

t.test_files = FileList["plugins/#{ENV['NAME'] || '*'}/test/unit/*_test.rb"]

with 

t.pattern = "plugins/#{ENV['NAME'] || '*'}/test/unit/*_test.rb" 

and so on.    

Let me know if there's any objection, if not I'll commit that in a few days.

Associated revisions

Revision 10778 - 2012-11-01 10:40 - Jean-Baptiste Barth

Use Rake::TestTask#pattern for plugin tests instead of #test_files (#11534)

History

#1 - 2012-11-01 10:58 - Jean-Baptiste Barth

- Status changed from New to Resolved

- Target version set to Candidate for next major release

Committed in r10778, I let Jean-Philippe, Etienne or Toshi merge it in a stable branch when they want.

#2 - 2013-05-03 03:34 - Jean-Baptiste Barth

- Status changed from Resolved to Closed

- Target version deleted (Candidate for next major release)

Closing this one, I didn't see it was present in 2.3-stable. I remove the target version, since 2.3.0 is closed and this patch isn't that important to be

mentionned in 2.3.2.
